const express = require('express');
const lti = require('./index');
const app = express();

app.use(express.json());
lti.config({
    oidcInitiationUrl: 'https://byuird.instructure.com/api/lti/authorize_redirect',
    clientId: '149570000000000211',
    baseUri: 'http://localhost:7033/',
    launchPath: 'launch',
    ltiPath: "/lti",
});

lti.expressInstance(app);

lti.on('launch', async (req, res) => {
    console.log('LTI Launch');
    res.status(200).send('Successfully launched your LTI!');
});

app.listen(7033, () => {
    console.log('Server running on port 7033');
});